# Update Collection Item

`PATCH https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid}`

Updates a vector store collection item record.

## Path parameters

- `id` (string, required): The ID of the vector store collection.
- `itemid` (string, required): The ID of the vector store collection item.

## Body (application/json)

- `description` (string, required): A description of the contents in this collection item record.

## Responses

- `202`: OK (get-vector-store-item-response-payload)
- `400`: Bad Request, including a request that failed validation (the message names the rejected field) and a collection, item or file that does not exist. The body is the error envelope. (error-payload)
- `401`: The API key is missing, unknown or not active. Send it as Authorization: Bearer <key>. (error-payload)

## Example

```bash
curl -X PATCH https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid} \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string"
  }'
```

```python
import os
import requests

response = requests.patch(
    "https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid}",
    headers={"Authorization": f"Bearer {os.environ['VULTR_INFERENCE_API_KEY']}"},
    json={
        "description": "string",
    },
)
print(response.json())
```

```javascript
const response = await fetch("https://api.vultrinference.com/v1/vector_store/{id}/items/{itemid}", {
  method: "PATCH",
  headers: {
    Authorization: `Bearer ${process.env.VULTR_INFERENCE_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "description": "string"
  }),
});
console.log(await response.json());
```
